#ifndef ESP32DISPLAYTEST_BITMAP_H
#define ESP32DISPLAYTEST_BITMAP_H

#include <cstdint>

typedef struct {
    uint16_t width;
    uint16_t height;
    uint8_t depth;
    uint8_t pixel_align;
    uint8_t row_align;
    const uint8_t *data;
} bitmap_t;


typedef struct {
    int16_t x;
    int16_t y;
    uint16_t width;
    uint16_t height;
} rect_t;


#endif //ESP32DISPLAYTEST_BITMAP_H
