#ifndef ESP32DISPLAYTEST_COLORS_H
#define ESP32DISPLAYTEST_COLORS_H

#include "HSL.h"
#include "RGB.h"
#include <cstdint>

constexpr uint16_t operator "" _rgb565(const char *lit) {
    return RGB(lit).to_565();
}


constexpr uint16_t operator "" _rgb565(const char *lit, size_t len) {
    return RGB(lit, len).to_565();
}


#endif //ESP32DISPLAYTEST_COLORS_H
